<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/CosNaming/NamingContext.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - CosNaming::NamingContext</title>
<link href="../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../CosNaming.html" >CosNaming</a>
</div><div class="class-name">interface NamingContext

</div><div class="links"><div class="file">File: <a href="../../File/CosNaming.idl.html" target="detail">CosNaming.idl</a></div> <div class="xref"></div> <div class="source"></div></div>   <div class="doc">a NamingContext interface</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Enums Summary:</div>
<div class="item"><div class="synopsis"><span class="name"><a href="NamingContext.html#NotFoundReason" >NotFoundReason</a></span> missing_node, not_context, not_object</div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Exceptions Summary:</div>
<div class="item"><div class="synopsis">exception <a href="NamingContext/NotFound.html" >NotFound</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="NamingContext/CannotProceed.html" >CannotProceed</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="NamingContext/InvalidName.html" >InvalidName</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="NamingContext/AlreadyBound.html" >AlreadyBound</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">exception <a href="NamingContext/NotEmpty.html" >NotEmpty</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Operations Summary:</div>
<div class="item"><div class="synopsis">&#160;void <span class="name"><a href="NamingContext.html#bind" >bind</a></span>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>, <span class="keyword">in</span> CORBA::Object <span class="variable">obj</span>)  <a href="NamingContext.html#bind" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">and the bind method...</div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="rebind">rebind</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>, <span class="keyword">in</span> CORBA::Object <span class="variable">obj</span>)  <a href="NamingContext.html#rebind" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="bind_context">bind_context</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>, <span class="keyword">in</span> <a href="NamingContext.html" >NamingContext</a> <span class="variable">nc</span>)  <a href="NamingContext.html#bind_context" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="rebind_context">rebind_context</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>, <span class="keyword">in</span> <a href="NamingContext.html" >NamingContext</a> <span class="variable">nc</span>)  <a href="NamingContext.html#rebind_context" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;CORBA::Object <a class="name" id="resolve">resolve</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>)  <a href="NamingContext.html#resolve" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="unbind">unbind</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>)  <a href="NamingContext.html#unbind" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="NamingContext.html" >NamingContext</a> <a class="name" id="new_context">new_context</a>()  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;<a href="NamingContext.html" >NamingContext</a> <a class="name" id="bind_new_context">bind_new_context</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>)  <a href="NamingContext.html#bind_new_context" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="destroy">destroy</a>()  <a href="NamingContext.html#destroy" > raises</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="list">list</a>(<span class="keyword">in</span> unsigned long <span class="variable">how_many</span>, <span class="keyword">out</span> <a href="../CosNaming.html#BindingList" >BindingList</a> <span class="variable">bl</span>, <span class="keyword">out</span> <a href="BindingIterator.html" >BindingIterator</a> <span class="variable">bi</span>)  </div> <div class="xref"></div> <div class="source"></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Enumerators Summary:</div>
<div class="item"><div class="synopsis"><a class="name" id="missing_node">missing_node</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="not_context">not_context</a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a class="name" id="not_object">not_object</a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Enums Details:</div>
<div class="item"><span class="keyword">enum</span> <a class="name" id="NotFoundReason">NotFoundReason</a><div class="enum"><div class="enumerator"><a class="name" id="missing_node">missing_node</a></div><div class="enumerator"><a class="name" id="not_context">not_context</a></div><div class="enumerator"><a class="name" id="not_object">not_object</a></div></div> <div class="doc">a NotFoundReason enum</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Exceptions Details:</div>
<div class="item"><div class="synopsis">exception <a href="NamingContext/NotFound.html" >NotFound</a></div> <div class="xref"></div> <div class="source"></div> <div class="doc">an exception</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Operations Details:</div>
<div class="item"><div class="synopsis">&#160;void <a class="name" id="bind">bind</a>(<span class="keyword">in</span> <a href="../CosNaming.html#Name" >Name</a> <span class="variable">n</span>, <span class="keyword">in</span> CORBA::Object <span class="variable">obj</span>)  <span class="keyword">raises</span> (<span class="raises"><a href="NamingContext/NotFound.html" >NotFound</a>, <a href="NamingContext/CannotProceed.html" >CannotProceed</a>, <a href="NamingContext/InvalidName.html" >InvalidName</a>, <a href="NamingContext/AlreadyBound.html" >AlreadyBound</a></span>)</div> <div class="xref"></div> <div class="source"></div> <div class="doc">and the bind method...</div></div>
</div><!-- detail -->

<div class="logo">Generated on Fri Apr 17 08:48:17 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
